<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>

{% for file in site.static_files %}
    {% if file.path contains 'assets/screenshot/' %}
        <script>
            $(function() {
                $(".iphoneScreen").attr('src', '{{ file.path }}');
                $(".iphoneScreen").removeClass("hidden");
                console.log("{{ file.path }}");
            });
        </script>
    {% elsif file.path contains 'assets/videos/' %}
        {% unless file.path contains 'assets/videos/Place-video-files-here.txt' %}
            <script>
                $(function() {
                    $(".iphoneScreen").addClass("hidden");
                    console.log("remove screenshot");
                });
            </script>
        {% endunless %}
        {% if file.extname == ".mov" or file.extname == ".mp4" %}
            <script>
                $(function() {
                    $(".videoContainer").removeClass("hidden");
                    $(".screenvideo").append('<source src="{{ site.github.baseurl }}{{ file.path }}" type="video/mp4">');
                    console.log("{{ file.path }}");
                });
            </script>
        {% elsif file.extname == ".ogg" %}
            <script>
                $(function() {
                    $(".videoContainer").removeClass("hidden");
                    $(".screenvideo").append('<source src="{{ site.github.baseurl }}{{ file.path }}" type="video/ogg">');
                    console.log("{{ file.path }}");
                });
            </script>
        {% elsif file.extname == ".webm" %}
        <script>
            $(function() {
                $(".videoContainer").removeClass("hidden");
                $(".screenvideo").append('<source src="{{ site.github.baseurl }}{{ file.path }}" type="video/webm">');
                console.log("{{ file.path }}");
            });
        </script>
        {% endif %}
    {% endif %}
{% endfor %}
